#include <stdio.h>

#define MAX_DAYS 1000000

int main() {
    int n, Q, i, j;
    long long dan, kom, e_dan;
    long long kutije[MAX_DAYS] = {0}; 

    scanf("%d %d", &n, &Q);
    for (i = 0; i < n; i++) {
        scanf("%lld %lld", &dan, &kom);
        if (dan >= MAX_DAYS) {
            printf("Dan je prevelik!\n");
            return 1;
        }
        kutije[dan] += kom;
    }

    for (i = 0; i < Q; i++) {
        printf("Q%d: ", i + 1);
        scanf("%lld", &e_dan);
        if (e_dan >= MAX_DAYS) {
            printf("Dan u upitu je prevelik!\n");
            return 1;
        }
        
        long long pojedeno_kutija = 0;
        long long preostale_kutije = 0;


        for (j = 1; j <= e_dan; j++) {
            preostale_kutije += kutije[j];  
            if (preostale_kutije > 0) {
                preostale_kutije--;  
                pojedeno_kutija++;   
            }
        }

        printf("Pojedeno kutija do dana %lld: %lld\n", e_dan, pojedeno_kutija);
    }

    return 0;
}